* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.attribution { font-size: 0.6875rem; text-align: center; }
.attribution a { color: hsl(228, 45%, 44%); }

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #F2EAE2;
    gap: 30px;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
}

article {
    display: flex;
    justify-content: center;
    align-items: stretch; 
}

.product-img {
    width: 300px;
    overflow: hidden;   
}

.image {
    width: 100%;
    height: 100%;
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
    object-fit: cover;
}

.section {
    width: 300px;
    padding: 32px;
    background-color: white;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.product-infos {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.product-type {
 font-family: 'Montserrat', sans-serif;
 font-size: 12px;
 line-height: 120%;
 letter-spacing: 5px;
 font-weight: 500;
 text-transform: uppercase;
 color: hsl(228, 12%, 48%);
}

.product-name {
    font-family: "Fraunces", serif;
    font-size: 32px;
    line-height: 100%;
    font-weight: 700;
    color: hsl(212, 21%, 14%);
}

.product-subtitle {
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    line-height: 160%;
    color: hsl(228, 12%, 48%);
}

.product-price {
    font-family: "Fraunces", serif;
    font-size: 32px;
    line-height: 100%;
    font-weight: 900;
    color: hsl(158, 36%, 37%);
    display: flex;
    align-items: center;
}

.product-ex-price {
    font-family: 'Montserrat', sans-serif;
    font-size: 13px;
    line-height: 120%;
    color: hsl(228, 12%, 48%);
    font-weight: 500;
    padding: 10px;
    text-decoration: line-through;
}

.product-button {
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    font-weight: 700;
    background-color: hsl(158, 36%, 37%);
    color: white;
    border: none;
    padding: 12px 32px;
    border-radius: 8px;
    cursor: pointer;
    gap: 8px;
}

.product-button:hover {
    background-color: hsl(158, 36%, 25%);
}

@media (max-width: 600px) {
    article {
        flex-direction: column;
        max-width: 340px;
    }

    .product-img {
        width: 100%;
        height: 240px;
    }

    .image {
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;
        border-bottom-left-radius: 0;
    }

    .section {
        width: 100%;
        border-bottom-left-radius: 12px;
        border-bottom-right-radius: 12px;
    }
}



    